﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Controls.Grids;

namespace XamGridCodeBehind
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            ObservableCollection<Employee> data = new ObservableCollection<Employee>();
            data.Add(new Employee() { ID = 1, Age = 20, Sex = "Male", Department = "R&D", Username = "Tom" });
            data.Add(new Employee() { ID = 2, Age = 30, Sex = "Female", Department = "R&D", Username = "Sarah" });
            data.Add(new Employee() { ID = 3, Age = 40, Sex = "Male", Department = "Sales", Username = "John" });

            

            xamGrid1.Columns.Add(new TextColumn() {  Key = "ID", HeaderText = "No.", HeaderTextHorizontalAlignment = HorizontalAlignment.Center });
            TextColumn gc = new TextColumn() { Key = "Username", HeaderText = " User name", HeaderTextHorizontalAlignment = HorizontalAlignment.Center };
            xamGrid1.Columns.Add(new TextColumn() { Key = "Age", HeaderTextHorizontalAlignment = HorizontalAlignment.Center });
            xamGrid1.Columns.Add(new TextColumn() { Key = "Sex", HeaderTextHorizontalAlignment = HorizontalAlignment.Center });
            xamGrid1.Columns.Add(new TextColumn() { Key = "Department", HeaderText = "Dept.", HeaderTextHorizontalAlignment = HorizontalAlignment.Center });

            this.xamGrid1.DataContext = data;

            xamGrid1.ColumnMovingSettings = new ColumnMovingSettings() { AllowColumnMoving = ColumnMovingType.Indicator };
        }
    }

    public class Employee
    {
        public int ID { get; set; }
        public string Username { get; set; }
        public int Age { get; set; }
        public string Sex { get; set; }
        public string Department { get; set; }
    }
}
